#include "testlib.h"

#include <string>
#include <vector>

int main(int argc, char **argv) {
    registerTestlibCmd(argc, argv);

    int n = inf.readInt();
    std::string s = inf.readWord();

    std::vector<int> prefix_sums(2 * n, 0);
    for (int i = 0; i < 2 * n - 1; ++i) {
        prefix_sums[i + 1] = prefix_sums[i] + int(s[i] == 'W');
    }

    int x = ouf.readInt(0, 2 * n - 1, "x");
    
    int cnt = 0;
    int l = 0, r;
    for (r = 0; r < 2 * n - 1 && prefix_sums[r + 1] < x; ++r);
    while (cnt < n && r < 2 * n - 1) {
        while (prefix_sums[r + 1] - prefix_sums[l] > x) ++l;
        for (
                int i = l;
                cnt < n
                    && r - i + 1 >= n
                    && prefix_sums[r + 1] - prefix_sums[i] == x;
                ++i
            ) { ++cnt; }
        ++r;
    }

    if (cnt == n) quitf(_ok, "At least n intervals");
    else quitf(_wa, "Not enough intervals");

    return 0;
}
