#include <iostream>
#include <string>
#include <vector>
#include <random>

using namespace std;

constexpr int SEED = 123;

int main() {
    ios::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    mt19937 rng(SEED);

    int n;
    string s;

    cin >> n >> s;

    vector<int> prefix_sums(2 * n, 0);
    for (int i = 0; i < 2 * n - 1; ++i) {
        prefix_sums[i + 1] = prefix_sums[i] + int(s[i] == 'W');
    }

    int cnt;

    auto attempt = [&](int const& h) {
        cnt = 0;
        int l = 0, r;
        for (r = 0; r < 2 * n - 1 && prefix_sums[r + 1] < h; ++r);
        while (cnt < n && r < 2 * n - 1) {
            while (prefix_sums[r + 1] - prefix_sums[l] > h) ++l;
            for (
                    int i = l;
                    cnt < n
                        && r - i + 1 >= n
                        && prefix_sums[r + 1] - prefix_sums[i] == h;
                    ++i
                ) {
                ++cnt;
            }
            ++r;
        }
        return cnt == n;
    };

    while (true) {
        int h = rng() % (2 * n);
        if (attempt(h)) {
            cout << h << endl;
            break;
        }
    }

    return 0;
}
