#include <iostream>
#include <cstdio>
#include <cstdlib>
#include <algorithm>
#include <cmath>
#include <vector>
#include <set>
#include <map>
#include <unordered_set>
#include <unordered_map>
#include <queue>
#include <ctime>
#include <cassert>
#include <complex>
#include <string>
#include <cstring>
#include <chrono>
#include <random>
#include <bitset>
#include <array>
using namespace std;

#ifdef LOCAL
	#define eprintf(...) {fprintf(stderr, __VA_ARGS__);fflush(stderr);}
#else
	#define eprintf(...) 42
#endif

using ll = long long;
using ld = long double;
using uint = unsigned int;
using ull = unsigned long long;
template<typename T>
using pair2 = pair<T, T>;
using pii = pair<int, int>;
using pli = pair<ll, int>;
using pll = pair<ll, ll>;
mt19937_64 rng(chrono::steady_clock::now().time_since_epoch().count());
ll myRand(ll B) {
	return (ull)rng() % B;
}

#define pb push_back
#define mp make_pair
#define all(x) (x).begin(),(x).end()
#define fi first
#define se second

clock_t startTime;
double getCurrentTime() {
	return (double)(clock() - startTime) / CLOCKS_PER_SEC;
}

const int BL = 5;
const int N = (int)(1 << 20);
int n;
char s[2 * N + 5];
int pref[N + 5], suf[N + 5];
ll ans[N + 5];
ll A[N + 5], B[N + 5], C[N + 5];

void multPoly(int m, int k) {
	for (int i = 0; i < m + k; i++)
		C[i] = 0;
	for (int i = 0; i < m; i++)
		for (int j = 0; j < k; j++) {
			C[i + j] += A[i] * B[j];
			if (C[i + j] >= n) return;
		}
}
bool solve(int l, int r) {
	if (r - l < BL) {
		for (int i = l; i < r; i++)
			for (int j = i; j < r; j++) {
				int x = pref[i] + suf[j];
				ans[x]++;
				if (ans[x] >= n) return true;
			}
		return false;
	}
	int m = (l + r) / 2;
	int X = pref[m - 1] - pref[l] + 1;
	int Y = suf[m] - suf[r - 1] + 1;
	for (int i = 0; i < X; i++)
		A[i] = 0;
	for (int i = 0; i < Y; i++)
		B[i] = 0;
	for (int i = l; i < m; i++)
		A[pref[i] - pref[l]]++;
	for (int i = m; i < r; i++)
		B[suf[i] - suf[r - 1]]++;
	multPoly(X, Y);
	int sh = pref[l] + suf[r - 1];
	for (int i = 0; i < X + Y - 1; i++) {
		ans[sh + i] += C[i];
		if (ans[sh + i] >= n) return true;
	}
	if (solve(l, m)) return true;
	if (solve(m, r)) return true;
	return false;
}

void printAns(int sum) {
	//eprintf("printAns %d\n", sum);
	cout << pref[n - 1] + suf[0] - sum + int(s[n - 1] == 'W') << "\n";
}

int main()
{
	startTime = clock();
//	freopen("input.txt", "r", stdin);
//	freopen("output.txt", "w", stdout);

	scanf("%d %s", &n, s);
	pref[0] = suf[n - 1] = 0;
	for (int i = 1; i < n; i++) {
		pref[i] = pref[i - 1] + (int)(s[i - 1] == 'W');
	}
	for (int i = n - 2; i >= 0; i--) {
		suf[i] = suf[i + 1] + (int)(s[n + i] == 'W');
	}
	assert(solve(0, n));
	int sum = 0;
	while(sum < n && ans[sum] < n) sum++;
	assert(sum < n);
	printAns(sum);

	return 0;
}
